# Playing with Texture Projection in Three.js

Learn how to project a texture on an object in [Three.js](http://threejs.org/), by [Marco Fugaro](https://twitter.com/marco_fugaro)

![Playing with Texture Projection](https://tympanus.net/codrops/wp-content/uploads/2020/01/TextureProjection_featured.jpg)

[Article on Codrops](https://tympanus.net/codrops/?p=45827)

[Demo](http://tympanus.net/Tutorials/TextureProjection/)

## Installation

To install dependencies run

```
npm install
```

To compile the code for development and start a local server run

```
npm start
```

To compile the code run

```
npm run build
```

## Credits

- Images from [Unsplash](https://unsplash.com/)
- Leaf model from [Poly](https://poly.google.com/)
- [Three.js](https://threejs.org/)
- [poisson-disk-sampling](https://github.com/kchapelier/poisson-disk-sampling) algorithm
- [canvas-sketch-util](https://github.com/mattdesl/canvas-sketch-util) for the util functions
- [threejs-modern-app](https://github.com/marcofugaro/threejs-modern-app) for the boilerplate

## License

This resource can be used freely if integrated or build upon in personal or commercial projects such as websites, web apps and web templates intended for sale. It is not allowed to take the resource "as-is" and sell it, redistribute, re-publish it, or sell "pluginized" versions of it. Free plugins built using this resource should have a visible mention and link to the original work. Always consider the licenses of all included libraries, scripts and images used.

## Misc

Follow Marco: [Twitter](https://twitter.com/marco_fugaro), [GitHub](http://github.com/marcofugaro/), [Codepen](https://codepen.io/marco_fugaro)

Follow Codrops: [Twitter](http://www.twitter.com/codrops), [Facebook](http://www.facebook.com/codrops), [Google+](https://plus.google.com/101095823814290637419), [GitHub](https://github.com/codrops), [Pinterest](http://www.pinterest.com/codrops/), [Instagram](https://www.instagram.com/codropsss/)

[© Codrops 2019](http://www.codrops.com)
